airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jimmy Cao (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AIRFLOW-2988) GCP Dataflow hook should specifically run python2
Date Thu, 30 Aug 2018 21:43:00 GMT
Jimmy Cao created AIRFLOW-2988:
----------------------------------

             Summary: GCP Dataflow hook should specifically run python2
                 Key: AIRFLOW-2988
                 URL: https://issues.apache.org/jira/browse/AIRFLOW-2988
             Project: Apache Airflow
          Issue Type: Improvement
          Components: Dataflow, gcp, hooks
            Reporter: Jimmy Cao


Currently the GCP dataflow hook invokes 'python' [here|https://github.com/apache/incubator-airflow/blob/c3939c8e721870d263997e7aeaebc28e678d544b/airflow/contrib/hooks/gcp_dataflow_hook.py#L239]. 
This can fail if the user's 'python' in PATH starts python 3, which Apache Beam does not
yet support, (see BEAM-1251).

It should be changed to 'python2' to ensure that Apache Beam is run with the correct version
of Python. 



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message